Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AccessControlListResolver.NonconformingResolution

    java.lang.Object
      oracle.ifs.server.AccessControlListResolver.NonconformingResolution

Enclosing class:
  AccessControlListResolver

    protected final class AccessControlListResolver.NonconformingResolution

extends java.lang.Object

Models a non-conforming resolution.

Field Summary
`protected java.util.concurrent.ConcurrentHashMap` | `m_AccessByUser` Resolved ConcurrentHashMap of access by user.
`protected AccessLevel` | `m_WorldAccess` Resolved access available to all users via grants to "World".
`protected int` | `m_ZeroAccessCount` Resolved count of users that have no access.

Constructor Summary
`protected` | `AccessControlListResolver.NonconformingResolution(java.util.concurrent.ConcurrentHashMap accessByUser, AccessLevel worldAccess, int zeroAccessCount)` Constructs an NonconformingResolution, with each member of the struct.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_AccessByUser

    protected java.util.concurrent.ConcurrentHashMap m_AccessByUser

  Description copied from class: `AccessControlListResolver.NonconformingResolution`
  Resolved ConcurrentHashMap of access by user.

### m_WorldAccess

    protected AccessLevel m_WorldAccess

  Description copied from class: `AccessControlListResolver.NonconformingResolution`
  Resolved access available to all users via grants to "World".

### m_ZeroAccessCount

    protected int m_ZeroAccessCount

  Description copied from class: `AccessControlListResolver.NonconformingResolution`
  Resolved count of users that have no access.

Constructor Detail

### AccessControlListResolver.NonconformingResolution

    protected AccessControlListResolver.NonconformingResolution(java.util.concurrent.ConcurrentHashMap accessByUser,
                                                                AccessLevel worldAccess,
                                                                int zeroAccessCount)

  Constructs an NonconformingResolution, with each member of the struct.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD